<template>
  <div>
    <b-menu :key="routeChangedKey">
      <b-menu-list class="has-text-centered" label="Menu administrativo">
        <b-menu-item
          icon="view-dashboard-outline"
          label="Dashboard"
          tag="router-link"
          :to="{name: 'dashboard'}"
          ></b-menu-item>
        <b-menu-item
          icon="phone-outline"
          label="Ramais"
          tag="router-link"
          :to="{name: 'admin-index-branches'}"
          ></b-menu-item>
        <b-menu-item
          icon="newspaper-variant-outline"
          label="Informativos"
          tag="router-link"
          :to="{name: 'admin-index-informatives'}"
          ></b-menu-item>
      </b-menu-list>

      <b-menu-list label="Actions">
        <b-menu-item icon="logout" label="Logout"></b-menu-item>
      </b-menu-list>
    </b-menu>
  </div>
</template>

<script>
export default {
  data() {
    return {
      route: 'dashboard',
      routeChangedKey: 0
    }
  },
  methods: {
    forceRerender ()  {
      this.routeChangedKey += 1;
    },
    pushRoute (r) {
      this.route = r
      this.$router.push({name: r})
    }
  }
}
</script>

<style lang="scss">
$primary: rgba(79, 99, 103, 1);
$primary-invert: findColorInvert($primary);


</style>
